Name:          libbacktrace
Version:       0.20240803git.7ead8c1
Release:       1mamba
Summary:       A C library that may be linked into a C/C++ program to produce symbolic backtraces
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/ianlancetaylor/libbacktrace
Source:        https://github.com/ianlancetaylor/libbacktrace.git/master@7ead8c1/libbacktrace-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
## AUTOBUILDREQ-END

%description
A C library that may be linked into a C/C++ program to produce symbolic backtraces.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%configure \
    --enable-shared \
    --with-system-libunwind

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libbacktrace.so.*
%doc LICENSE

%files devel
%defattr(-,root,root)
%{_includedir}/backtrace-supported.h
%{_includedir}/backtrace.h
%{_libdir}/libbacktrace.so
%{_libdir}/libbacktrace.a
%doc README.md

%changelog
* Wed Apr 03 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.20240803git.7ead8c1-1mamba
- package created using the webbuild interface
